package cc.toph.simplycompat;

import cc.toph.simplycompat.registry.ItemsRegistry;
import dev.architectury.registry.CreativeTabRegistry;
import dev.architectury.registry.registries.DeferredRegister;
import dev.architectury.registry.registries.RegistrySupplier;
import net.minecraft.core.registries.Registries;
import net.minecraft.network.chat.Component;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Items;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public final class SimplyCompat {

  public static final String MOD_ID = "simplycompat";

  public static final DeferredRegister<CreativeModeTab> TABS = DeferredRegister.create(
    MOD_ID,
    Registries.CREATIVE_MODE_TAB
  );
  public static final RegistrySupplier<CreativeModeTab> SIMPLYCOMPAT = TABS.register(MOD_ID, () ->
    CreativeTabRegistry.create(
      Component.translatable("creativeTab.simplycompat.simplycompat"),
      () -> new ItemStack(Items.AMETHYST_SHARD)
    )
  );

  public static final Logger LOGGER = LogManager.getLogger(MOD_ID);

  public static void init() {
    // Write common init code here.

    TABS.register();
    ItemsRegistry.ITEMS.register();
  }
}
